Bug 496520 - [PATCH] makewhatis is so slow it makes me cry
[PATCH] makewhatis is so slow it makes me cry
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-19 17:35 EDT by Lubomir Rintel
Modified: 2009-06-21 22:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.6f-20.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 22:30:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Speed up makewhatis (8.65 KB, text/plain)
2009-04-19 17:35 EDT, Lubomir Rintel
no flags Details

  None (edit)
Description Lubomir Rintel 2009-04-19 17:35:06 EDT
Created attachment 340260 [details]
Speed up makewhatis

Description of problem:

Last 30 minutes of battery life time, display dimmed since there's no power supply around... and then it happens. All of a sudden, a cron job starts, eats up 100% CPU for sixteen minutes, keeping the disks up and... *poff* power's gone! Oh noes!

Day two. You roll a LiveCD. One fourth of the time is waiting for makewhatis.

Version-Release number of selected component (if applicable):

man-1.6f-17.fc11.i586

Additional information:

Patch which makes makewhatis a bit more robust and includes several performance improvements (full indexation is up to 5-times faster and is required to be done only once).

I'll commit it in a day or two and request a F-11 pullup unless you object.
Comment 1 Lubomir Rintel 2009-04-21 00:44:09 EDT
Built in man-1.6f-18.fc11
Comment 2 Ivana Varekova 2009-04-21 07:51:38 EDT
Thanks for your work :), is there anything what remains to do?
Comment 3 Lubomir Rintel 2009-04-21 08:54:21 EDT
While testing my changes I've stumbled upon a couple of small packaging issues and attempted to address those in man-1.6f-20. I've extensively tested the changes, but will be very thankful if you could review them. Unless you'll find any problems, I'll submit this for F-11.
Comment 4 Ivana Varekova 2009-04-21 09:01:00 EDT
OK - I will look at it and ping you when the review will be completed. Thanks.
Comment 5 Lubomir Rintel 2009-04-28 07:37:15 EDT
(In reply to comment #4)
> OK - I will look at it and ping you when the review will be completed. Thanks.  

I wonder if there's any outcome? Shall we request tagging of new man into f11?
Comment 6 Ivana Varekova 2009-04-28 08:03:48 EDT
sorry - no time now - I will look at it next week. If it is OK for you I prefer to wait for review (sorry for the delay).
Comment 7 Lubomir Rintel 2009-05-26 12:42:09 EDT
Thanks.
Comment 8 Ivana Varekova 2009-06-02 05:43:56 EDT
Patches and spec changes looks good. Thanks for your work. Do you want create the update for f11 yourself or do you prefer to leave it to me?
Ivana
Comment 9 Fedora Update System 2009-06-02 09:31:10 EDT
man-1.6f-20.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/man-1.6f-20.fc11
Comment 10 Fedora Update System 2009-06-04 17:11:40 EDT
man-1.6f-20.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update man'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5839
Comment 11 Bug Zapper 2009-06-09 10:08:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora Update System 2009-06-15 22:30:11 EDT
man-1.6f-20.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.